## net.sf.jftp.net
Class JConnection

    java.lang.Object
      net.sf.jftp.net.JConnection

All Implemented Interfaces:
  java.lang.Runnable

    public class JConnection

extends java.lang.Object
implements java.lang.Runnable

Basic class for getting an TCP/IP-Connection timeout sets (as the name says) the maximum time the Thread waits for the target host...

Constructor Summary
`JConnection(java.lang.String host, int port)`

Method Summary
`java.io.BufferedReader` `getIn()`
`java.io.PrintStream` `getInetOutputStream()`
`java.net.InetAddress` `getLocalAddress()`
`int` `getLocalPort()`
`java.io.PrintStream` `getOut()`
`java.io.BufferedReader` `getReader()`
`boolean` `isThere()`
`void` `run()`
`void` `send(java.lang.String data)`
`void` `setIn(java.io.BufferedReader in)`
`void` `setOut(java.io.PrintStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JConnection

    public JConnection(java.lang.String host,
                       int port)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### isThere

    public boolean isThere()

### send

    public void send(java.lang.String data)

### getInetOutputStream

    public java.io.PrintStream getInetOutputStream()

### getReader

    public java.io.BufferedReader getReader()

### getLocalPort

    public int getLocalPort()

### getLocalAddress

    public java.net.InetAddress getLocalAddress()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getIn

    public java.io.BufferedReader getIn()

### setIn

    public void setIn(java.io.BufferedReader in)

### getOut

    public java.io.PrintStream getOut()

### setOut

    public void setOut(java.io.PrintStream out)